# Interface Extension.Parameter

Enclosing interface:
  `Extension`

public static interface Extension.Parameter
Represents a parameter of a WebSocket extension.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getName()`
  Returns the name of this parameter.
  `String`
  `getValue()`
  Returns the value of this parameter.

- ## Method Details

  - ### getName

    String getName()
    Returns the name of this parameter.
    Returns:
      The parameter name

  - ### getValue

    String getValue()
    Returns the value of this parameter.
    Returns:
      The parameter value